package com.zehong.system.service.impl;

import java.util.List;
import com.zehong.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TUserLocationMapper;
import com.zehong.system.domain.TUserLocation;
import com.zehong.system.service.ITUserLocationService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author zehong
 * @date 2023-09-18
 */
@Service
public class TUserLocationServiceImpl implements ITUserLocationService 
{
    @Autowired
    private TUserLocationMapper tUserLocationMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public TUserLocation selectTUserLocationById(Long id)
    {
        return tUserLocationMapper.selectTUserLocationById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tUserLocation 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TUserLocation> selectTUserLocationList(TUserLocation tUserLocation)
    {
        return tUserLocationMapper.selectTUserLocationList(tUserLocation);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tUserLocation 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTUserLocation(TUserLocation tUserLocation)
    {
        tUserLocation.setCreateTime(DateUtils.getNowDate());
        return tUserLocationMapper.insertTUserLocation(tUserLocation);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tUserLocation 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTUserLocation(TUserLocation tUserLocation)
    {
        return tUserLocationMapper.updateTUserLocation(tUserLocation);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTUserLocationByIds(Long[] ids)
    {
        return tUserLocationMapper.deleteTUserLocationByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTUserLocationById(Long id)
    {
        return tUserLocationMapper.deleteTUserLocationById(id);
    }

    /**
     * 分组查询位置
     * @param tUserLocation 查询实体
     * @return
     */
    @Override
    public List<TUserLocation> selectTUserLocationListByGroup(TUserLocation tUserLocation){
        return tUserLocationMapper.selectTUserLocationListByGroup(tUserLocation);
    }
}
